UNAME(1)

NAME
uname - print system information

SYNOPSIS
uname [-snrvma] [--sysname] [--nodename] [--release] [--machine] [--all] [--help] [--version]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of uname. uname prints information about the machine and operating system it is run on. If no options are given, uname acts as if the -s option were given. If multiple options are given or the -a option is given, the selected information is printed in the order `snrvm' with a space between items.

  OPTIONS

-m, --machine
    Print the machine (hardware) type.

-n, --nodename
    Print the machine's network node hostname.

-r, --release
    Print the operating system release.

-s, --sysname
    Print the operating system name.

-v  Print the operating system version.

-a, --all
    Print all of the above information.

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.